
# uSEIR.jl

uSEIR.jl is a package to solve the Non-Markovian SEIR model with 
arbitrary distributions for exposed/infected.

## Install

The easiest way is to use the package manager
```julia
julia> import Pkg
(v1.1) pkg> add https://gitlab.ift.uam-csic.es/alberto/uSEIR.jl
```

## Minimal example

Compare the Gamma and delta distribution results for means of
exposed/infected 4.0 and 6.0 respectively with a canonical R0 of 2.0. 

```julia
julia> using Random, Distributions, uSEIR, PyPlot
julia> sol_g = solve_uSEIR(Gamma(4.0,1.0), Gamma(6.0, 1.0), 0.001, 2.0/6.0)
julia> sol_d = solve_uSEIR(4.0, 6.0, 0.001, 2.0/6.0)
julia> ioff()
julia> fig = figure("Comparison delta vs. Gamma",figsize=(8,8))
julia> ax = gca()
julia> plot(1:4:length(sol_g), sol_g[3:4:end], 1:4:length(sol_d), sol_d[3:4:end])
```

## License

"THE BEER-WARE LICENSE":
P. Hernandez, C. Pena, J.J. Gomez Cadenas wrote these files. As long
as you retain this notice you can do whatever you want with this
stuff. If we meet some day, and you think this stuff is worth it, you
can buy us a beer in return.


